org.apache.ignite.internal.visor.verify

## Class VisorContentionTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorContentionTaskArg,VisorContentionTaskResult,VisorContentionJobResult>
  - - org.apache.ignite.internal.visor.verify.VisorContentionTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorContentionTaskArg>,VisorContentionTaskResult>

    @GridInternal
    public class VisorContentionTask
    extends VisorMultiNodeTask<VisorContentionTaskArg,VisorContentionTaskResult,VisorContentionJobResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorContentionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorContentionTaskArg,VisorContentionJobResult>` `job(VisorContentionTaskArg arg)`
`protected @Nullable VisorContentionTaskResult` `reduce0(List<ComputeJobResult> list)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorContentionTask

    public VisorContentionTask()

### Method Detail

#### reduce0

    @Nullable
    protected @Nullable VisorContentionTaskResult reduce0(List<ComputeJobResult> list)
                                                             throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorContentionTaskArg,VisorContentionTaskResult,VisorContentionJobResult>`
Parameters:
  `list` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

#### job

    protected VisorJob<VisorContentionTaskArg,VisorContentionJobResult> job(VisorContentionTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorContentionTaskArg,VisorContentionTaskResult,VisorContentionJobResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022